﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ICSV.Interface.Types
{
    /// <summary>
    /// The image position (2D or 3D) for an <see cref="ImageData"/> object.
    /// </summary>
    public class ImagePosition
    {
        /// <summary>
        /// The X coordinate
        /// </summary>
        public double XCoord { get; set; }

        /// <summary>
        /// The Y coordinate
        /// </summary>
        public double YCoord { get; set; }

        /// <summary>
        /// The Z coordinate, or zero for the 2D representation.
        /// </summary>
        public double ZCoord { get; set; }
    }
}
