﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ICSV.Server.Signatures
{
    /// <summary>
    /// See https://github.com/telmomenezes/JFastEMD/blob/master/src/com/telmomenezes/jfastemd/Signature.java
    /// </summary>
    /// <remarks>
    /// @author Telmo Menezes (telmo@telmomenezes.com)
    /// </remarks>
    public class Signature
    {
        private int numberOfFeatures;
        private Feature[] features;
        private double[] weights;

        public int getNumberOfFeatures()
        {
            return numberOfFeatures;
        }

        public void setNumberOfFeatures(int numberOfFeatures)
        {
            this.numberOfFeatures = numberOfFeatures;
        }

        public Feature[] getFeatures()
        {
            return features;
        }

        public void setFeatures(Feature[] features)
        {
            this.features = features;
        }

        public double[] getWeights()
        {
            return weights;
        }

        public void setWeights(double[] weights)
        {
            this.weights = weights;
        }
    }
}
